//
//  ViewController.m
//  CALayerLession1
//
//  Created by harald bregu on 29/01/13.
//  Copyright (c) 2013 harald bregu. All rights reserved.
//

#import "ViewController.h"
#import <QuartzCore/QuartzCore.h>

@interface ViewController ()
{
}
@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    self.view.backgroundColor = [UIColor whiteColor];
    
    UIImageView *image = [[UIImageView alloc] initWithImage:[UIImage imageNamed:@"naomiWatts.jpg"]];
    image.frame = CGRectMake(30, 50, 250, 250);
   
    
    CALayer *containerLayer = [CALayer layer];
    
    // Le ombre 
    containerLayer.shadowColor = [UIColor redColor].CGColor;
    // Il raggio delle ombre
    containerLayer.shadowRadius = 10.f;
    // LA direzione delle ombre
    containerLayer.shadowOffset =CGSizeMake(10.0f, 10.0f);
    // L'oscurita
    containerLayer.shadowOpacity = 2.0f;
    // IL raggio del angolo
    image.layer.cornerRadius = roundf(image.frame.size.width/15.0);
    // Abilitare maschera
    image.layer.masksToBounds = YES;
    
    
    
    [self.view.layer addSublayer:image.layer];
    [containerLayer addSublayer:image.layer];
    [self.view.layer addSublayer:containerLayer];
    
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
